## org.gnu.gtk
Class DebugFlag

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gtk.DebugFlag

public class DebugFlag
extends org.gnu.glib.Flags

Field Summary
`static DebugFlag` `MISC`
`static DebugFlag` `PLUGSOCKET`
`static DebugFlag` `TEXT`
`static DebugFlag` `TREE`
`static DebugFlag` `UPDATES`

Method Summary
`DebugFlag` `and(DebugFlag other)`
`static DebugFlag` `intern(int value)`
`DebugFlag` `or(DebugFlag other)`
`boolean` `test(DebugFlag other)`
`DebugFlag` `xor(DebugFlag other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MISC

    public static final DebugFlag MISC

### PLUGSOCKET

    public static final DebugFlag PLUGSOCKET

### TEXT

    public static final DebugFlag TEXT

### TREE

    public static final DebugFlag TREE

### UPDATES

    public static final DebugFlag UPDATES

Method Detail

### intern

    public static DebugFlag intern(int value)

### or

    public DebugFlag or(DebugFlag other)

### and

    public DebugFlag and(DebugFlag other)

### xor

    public DebugFlag xor(DebugFlag other)

### test

    public boolean test(DebugFlag other)